Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 386918 - New version of JEP (, please land on trunk and branch
: New version of JEP (, please land on trunk and branch
: verified1.8.1.8
Product: Plugins Graveyard
Classification: Graveyard
Component: Java (Java Embedding Plugin) (show other bugs)
: unspecified
: PowerPC Mac OS X
: -- normal
: ---
Assigned To: Steven Michaud [:smichaud] (Retired)
Depends on:
Blocks: 379058 380517
  Show dependency treegraph
Reported: 2007-07-04 19:41 PDT by Steven Michaud [:smichaud] (Retired)
Modified: 2016-04-28 09:08 PDT (History)
12 users (show)
dveditz: wanted1.8.1.x+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

Change log for JEP (1.20 KB, text/plain)
2007-07-04 19:41 PDT, Steven Michaud [:smichaud] (Retired)
no flags Details
Change log for JEP (revised) (1.61 KB, text/plain)
2007-07-05 06:53 PDT, Steven Michaud [:smichaud] (Retired)
mark: review+
mikepinkerton: superreview+
dveditz: approval1.8.1.8+
dsicore: approval1.9+

Description Steven Michaud [:smichaud] (Retired) 2007-07-04 19:41:14 PDT
Created attachment 270979 [details]
Change log for JEP

This version fixes a crash bug (bug 380517) that effects all branches
and (so far) has four dups.  It also (on the trunk) works around a
recent change to the nsIScriptSecurityManager interface that broke
JavaScript-to-Java LiveConnect (bug 383783).

Please land JEP on the trunk and the 1.8 branch as soon as
conveniently possible.  I'd like to get it into Firefox

(I assume the 1.8.0 branch is dead.  If it isn't, please land JEP there, too.)

Those who want to try the new version right away will need to install
it "over" the older versions currently bundled with
browsers.  I recommend installing the new JEP to your
/Library/Internet Plug-Ins/ folder, then removing older copy(ies) of
the JEP from your browser(s).  For more information see
the JEP Readme.
Comment 1 Steven Michaud [:smichaud] (Retired) 2007-07-05 06:53:05 PDT
Created attachment 271050 [details]
Change log for JEP (revised)

I forgot to list one of JEP's fixes.
Comment 2 Smokey Ardisson (offline for a while; not following bugs - do not email) 2007-07-23 18:11:09 PDT
Comment on attachment 271050 [details]
Change log for JEP (revised)

mento, can you have a look at this new JEP since josh is on vacation?  

Ideally, this should land on trunk sooner rather than later so it can bake and get testing coverage in order to be able to make on the branch.
Comment 3 Steven Michaud [:smichaud] (Retired) 2007-07-24 11:43:56 PDT
Thanks, Mark!

Like Smokey, I'd like to get this landed on the trunk reasonably soon
(though I suspect that will have to wait until Josh gets back).  And
since (barring any urgent security issues) it looks like there aren't
any imminent releases on the 1.8 branch, I'd like JEP landed
there at the same time it lands on the trunk.  This should
substantially increase its exposure to users, and the likelihood that
any remaining bugs will be shaken out before the next releases on the
Comment 4 Mark Mentovai 2007-07-24 16:34:34 PDT
I can land this on the trunk for you now if you'd like, but you'll need branch approval before it can be landed on the 1.8 branch.
Comment 5 Steven Michaud [:smichaud] (Retired) 2007-07-24 16:41:17 PDT
Thanks!  Please do.

I think I'll wait until Josh gets back to deal with getting it landed
on the branch.
Comment 6 Mike Pinkerton (not reading bugmail) 2007-07-30 15:36:20 PDT
Comment on attachment 271050 [details]
Change log for JEP (revised)

Comment 7 Steven Michaud [:smichaud] (Retired) 2007-07-31 07:44:33 PDT
Josh or Mark:

Please land this on the trunk as soon as you can after the tree
reopens.  It might fix (or alleviate) a trunk topcrasher (bug 390225).
Comment 8 Steven Michaud [:smichaud] (Retired) 2007-08-02 12:23:17 PDT
Comment on attachment 271050 [details]
Change log for JEP (revised)

JEP might fix or alleviate a trunk topcrasher (bug 390225),
which is blocking 1.9+.  So I'm requesting approval to land this right
Comment 9 Steven Michaud [:smichaud] (Retired) 2007-08-02 14:09:13 PDT
(Following up comment #8)

The risk of landing JEP is quite low -- I tested it thoroughly
before I released it, it contains only a few changes, and I've had
zero reports of problems since it was released a month ago.
Comment 10 Smokey Ardisson (offline for a while; not following bugs - do not email) 2007-08-10 15:14:54 PDT
mento might get this landed this weekend (smichaud's on vacation, if I have my dates right), but adding the keyword so this doesn't get lost, whatever the story may be.
Comment 11 Steven Michaud [:smichaud] (Retired) 2007-08-13 10:39:06 PDT
Landed on trunk.
Comment 12 Daniel Veditz [:dveditz] 2007-08-21 16:34:23 PDT
Marking FIXED to reflect the trunk landing. Or was there more to do?
Comment 13 Steven Michaud [:smichaud] (Retired) 2007-08-21 16:42:52 PDT
Comment on attachment 271050 [details]
Change log for JEP (revised)

> Or was there more to do?

It still needs to be landed on the branch :-)
Comment 14 Daniel Veditz [:dveditz] 2007-08-29 14:50:19 PDT
Comment on attachment 271050 [details]
Change log for JEP (revised)

approved for, a=dveditz for release-drivers
Comment 15 Steven Michaud [:smichaud] (Retired) 2007-08-30 07:38:40 PDT
Landed on MOZILLA_1_8_BRANCH.
Comment 16 Marcia Knous [:marcia - use ni] 2007-09-04 15:14:04 PDT
verified fixed using  Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.9a8pre) Gecko/2007090404 Minefield/3.0a8pre and Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv: Gecko/2007090403 BonEcho/
Comment 17 Steven Michaud [:smichaud] (Retired) 2007-09-15 08:52:23 PDT
Firefox RC2 (dated 2007-09-15) bundles JEP

It shouldn't -- it should bundle JEP

Anyone know what's up?

Is RC2 (like RC1) just "a test of a new automated system for producing
release builds", which we should ignore?
Comment 18 Steven Michaud [:smichaud] (Retired) 2007-09-15 09:06:18 PDT
I just checked, and today's 1.8 branch nightly
(2007-09-15-04-mozilla1.8) still does bundle JEP (as have
other 1.8 branch nightlies since I landed JEP on the 1.8
branch on 2007-08-30).
Comment 19 Smokey Ardisson (offline for a while; not following bugs - do not email) 2007-09-15 09:43:25 PDT is coming off of the Gecko relbranch and not picking up any general changes since then.
Comment 20 Steven Michaud [:smichaud] (Retired) 2007-09-15 09:51:45 PDT
Thanks for the info, but this is a bit ... disconcerting.

Firefox really should bundle JEP, which contains some
important fixes.

Is there a release roadmap for Firefox somewhere online? doesn't have anything.
Comment 21 Steven Michaud [:smichaud] (Retired) 2007-09-15 10:54:55 PDT
> doesn't have anything

Now it does.

Thanks, Smokey.  (I assume you were the one who updated it.)
Comment 22 Steven Michaud [:smichaud] (Retired) 2007-09-15 11:04:29 PDT
(From Firefox's roadmap)

> This is a security firedrill to address the issue described in bug
> 395942 ("quicktime pwns firefox")
> We'll take Fx and add this one fix only.

So it's an emergency release.

Note You need to log in before you can comment on or make changes to this bug.